From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/psychopy/
Date: Sun, 27 Jan 2013 19:25:06 +0000 (UTC) [thread overview]
Message-ID: <1358377326.bed4da031cf15f041d034820d4c83860642f2584.jlec@gentoo> (raw)
commit: bed4da031cf15f041d034820d4c83860642f2584
Author: TheChymera <h.chr <AT> mail <DOT> ru>
AuthorDate: Wed Jan 16 23:02:06 2013 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan 16 23:02:06 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=bed4da03
Added run permissions for the package's executable file
Also upgraded to distutils-r1 and made other minor improvements to python-related metadata
---
sci-biology/psychopy/psychopy-1.75.01.ebuild | 18 +++++++++++++-----
1 files changed, 13 insertions(+), 5 deletions(-)
diff --git a/sci-biology/psychopy/psychopy-1.75.01.ebuild b/sci-biology/psychopy/psychopy-1.75.01.ebuild
index 6b341f5..992daa7 100644
--- a/sci-biology/psychopy/psychopy-1.75.01.ebuild
+++ b/sci-biology/psychopy/psychopy-1.75.01.ebuild
@@ -2,14 +2,15 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.* *-jython *-pypy-*"
DISTUTILS_SRC_TEST="py.test"
-inherit distutils
+inherit distutils-r1 eutils
MY_P="PsychoPy-${PV}"
@@ -24,11 +25,11 @@ IUSE="test"
RDEPEND="dev-python/numpy[lapack]
sci-libs/scipy
dev-python/matplotlib
- dev-python/pyopengl
+ dev-python/pyopengl[${PYTHON_USEDEP}]
dev-python/imaging
dev-python/wxpython
- dev-python/setuptools
- dev-python/lxml
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
app-admin/eselect
dev-python/pyglet
dev-python/pygame"
@@ -40,3 +41,10 @@ DEPEND="app-arch/unzip
RESTRICT="test" # interactive, opens lots of windows
S="${WORKDIR}/${MY_P}"
+
+python_install() {
+ distutils-r1_python_install
+ #local EPYTHON=python2.7
+ #die $(sh -c 'echo $EPYTHON')
+ chmod +x "${D}$(python_get_sitedir)/psychopy/app/psychopyApp.py" || die "chmod of psychopyApp.py failed"
+}
next reply other threads:[~2013-01-27 19:25 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-01-27 19:25 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-09-27 10:25 [gentoo-commits] proj/sci:master commit in: sci-biology/psychopy/ Horea Christian
2020-09-26 9:56 Horea Christian
2016-12-06 19:45 Christoph Junghans
2016-11-12 9:29 Justin Lecher
2016-10-12 6:30 Marius Brehler
2016-09-07 13:08 Marius Brehler
2016-08-23 20:17 Justin Lecher
2016-07-25 18:52 Justin Lecher
2016-01-18 16:31 Justin Lecher
2016-01-18 16:31 Justin Lecher
2016-01-18 16:31 Justin Lecher
2016-01-18 16:31 Justin Lecher
2016-01-18 16:31 Justin Lecher
2015-04-02 10:34 Justin Lecher
2015-02-18 16:41 Justin Lecher
2014-01-06 19:27 Justin Lecher
2013-09-04 5:11 Kacper Kowalik
2013-09-04 5:11 Kacper Kowalik
2013-09-04 5:11 Kacper Kowalik
2013-09-04 5:11 Kacper Kowalik
2013-09-04 5:11 Kacper Kowalik
2013-09-04 5:11 Kacper Kowalik
2013-06-10 11:57 Justin Lecher
2013-06-10 11:25 Justin Lecher
2013-01-28 17:48 Kacper Kowalik
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2013-01-27 19:25 Justin Lecher
2012-11-11 9:50 Reinis Danne
2012-11-11 9:50 Reinis Danne
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1358377326.bed4da031cf15f041d034820d4c83860642f2584.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox